Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_State_Member Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_State_Member:

[legend]
Collaboration diagram for TAO_PSDL_State_Member:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_State_Member (TAO_PSDL_Node *public_or_private, TAO_PSDL_Node *type_spec, TAO_PSDL_Node *declarators)
| ****************************************************************. More...
virtual | ~TAO_PSDL_State_Member (void)
TAO_PSDL_Node * | public_or_private (void) const
| Get the value. More...
TAO_PSDL_Node * | type_spec (void) const
TAO_PSDL_Node * | declarators (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | public_or_private_
| The values. More...
TAO_PSDL_Node * | type_spec_
TAO_PSDL_Node * | declarators_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_State_Member::TAO_PSDL_State_Member | ( | TAO_PSDL_Node * | public_or_private,
|  | TAO_PSDL_Node * | type_spec,
|  | TAO_PSDL_Node * | declarators
| ) |

| ****************************************************************.

TAO_PSDL_State_Member::~TAO_PSDL_State_Member | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_State_Member::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_State_Member::declarators | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_State_Member::public_or_private | ( | void |  | ) | const

| Get the value.

TAO_PSDL_Node * TAO_PSDL_State_Member::type_spec | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_State_Member::declarators_`[private]`

TAO_PSDL_Node* TAO_PSDL_State_Member::public_or_private_`[private]`

| The values.

TAO_PSDL_Node* TAO_PSDL_State_Member::type_spec_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp